Latest Evolis ribbons' generation requires several updates for optimal functioning

Follow these instructions to upgrade your software.

This update concerns:

  • Printer models: Evolis Primacy & Evolis Zenius. Edikio Flex & Edikio Duplex (Guest and Price Tag).
  • Evolis Premium Suite or Edikio Printer Suite driver release 6.36.0.0 or above.
  • Mac OS driver 6.8.0.174 or above.
  • Firmware version 1955 or above.

Select your printer model

The following printers' models require this upgrade. Please follow the specific guidelines for your card printer:

Evolis Primacy Software Update
View
Evolis Zenius Software Update
View
Evolis Flex Software Update Edikio Guest and Edikio Price Tag
View